Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I've got VS2010 installed and when I try to install sp1, downloaded from Microsoft, I get this error message:

A compatible version of Visual Studio 2010 was not detected on the system. This update is designed for only the Microsoft Visual Studio 2010.

VS2010 is for sure installed, so what's going on here?

share|improve this question

2 Answers 2

up vote 1 down vote accepted

Well, it turned out that vs2010 was not properly installed on the machine. The installer completed, but there were errors, and I'm guessing that some of these errors are related my my problem. Unfortunately, I can't get vs2010 installed properly at all, and so I'm giving up and switching to vs2012. I hope I never need to return to 2010, because it simply won't install on Windows 8.

share|improve this answer

I found this:

This error may occur if you have ASP.NET MVC 3 RC or Visual Studio Async CTP installed in your system already.

Also refer below link for more details about this, http://blogs.msdn.com/b/jasonz/archive/2010/12/07/announcing-visual-studio-2010-service-pack-1-beta.aspx?PageIndex=3

Source:

http://www.dotnetspider.com/forum/290925-What-requirements-VS-2010-installation.aspx

Try if you also have those pre-Release Tools installed.

share|improve this answer
    
I don't think that could be the problem, because it's a brand new Windows 8 machine, fresh out of the box. –  Joshua Frank Jan 21 '13 at 14:48

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.